// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.3
// source: proto/contract_update.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	wrapperspb "google.golang.org/protobuf/types/known/wrapperspb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

//
//At consensus, updates the fields of a smart contract to the given values.
//
//If no value is given for a field, that field is left unchanged on the contract. For an immutable smart contract (that is, a contract created without an adminKey), only the expirationTime may be updated; setting any other field in this case will cause the transaction status to resolve to MODIFYING_IMMUTABLE_CONTRACT.
//
//--- Signing Requirements ---
//1. Whether or not a contract has an admin Key, its expiry can be extended with only the transaction payer's signature.
//2. Updating any other field of a mutable contract requires the admin key's signature.
//3. If the update transaction includes a new admin key, this new key must also sign <b>unless</b> it is exactly an empty <tt>KeyList</tt>. This special sentinel key removes the existing admin key and causes the contract to become immutable. (Other <tt>Key</tt> structures without a constituent <tt>Ed25519</tt> key will be rejected with <tt>INVALID_ADMIN_KEY</tt>.)
type ContractUpdateTransactionBody struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The id of the contract to be updated
	ContractID *ContractID `protobuf:"bytes,1,opt,name=contractID,proto3" json:"contractID,omitempty"`
	// The new expiry of the contract, no earlier than the current expiry (resolves to EXPIRATION_REDUCTION_NOT_ALLOWED otherwise)
	ExpirationTime *Timestamp `protobuf:"bytes,2,opt,name=expirationTime,proto3" json:"expirationTime,omitempty"`
	// The new key to control updates to the contract
	AdminKey *Key `protobuf:"bytes,3,opt,name=adminKey,proto3" json:"adminKey,omitempty"`
	// (NOT YET IMPLEMENTED) The new id of the account to which the contract is proxy staked
	ProxyAccountID *AccountID `protobuf:"bytes,6,opt,name=proxyAccountID,proto3" json:"proxyAccountID,omitempty"`
	// (NOT YET IMPLEMENTED) The new interval at which the contract will pay to extend its expiry (by the same interval)
	AutoRenewPeriod *Duration `protobuf:"bytes,7,opt,name=autoRenewPeriod,proto3" json:"autoRenewPeriod,omitempty"`
	// The new id of the file asserted to contain the bytecode of the Solidity transaction that created this contract
	FileID *FileID `protobuf:"bytes,8,opt,name=fileID,proto3" json:"fileID,omitempty"`
	// The new contract memo, assumed to be Unicode encoded with UTF-8 (at most 100 bytes)
	//
	// Types that are assignable to MemoField:
	//	*ContractUpdateTransactionBody_Memo
	//	*ContractUpdateTransactionBody_MemoWrapper
	MemoField isContractUpdateTransactionBody_MemoField `protobuf_oneof:"memoField"`
}

func (x *ContractUpdateTransactionBody) Reset() {
	*x = ContractUpdateTransactionBody{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_contract_update_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ContractUpdateTransactionBody) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ContractUpdateTransactionBody) ProtoMessage() {}

func (x *ContractUpdateTransactionBody) ProtoReflect() protoreflect.Message {
	mi := &file_proto_contract_update_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ContractUpdateTransactionBody.ProtoReflect.Descriptor instead.
func (*ContractUpdateTransactionBody) Descriptor() ([]byte, []int) {
	return file_proto_contract_update_proto_rawDescGZIP(), []int{0}
}

func (x *ContractUpdateTransactionBody) GetContractID() *ContractID {
	if x != nil {
		return x.ContractID
	}
	return nil
}

func (x *ContractUpdateTransactionBody) GetExpirationTime() *Timestamp {
	if x != nil {
		return x.ExpirationTime
	}
	return nil
}

func (x *ContractUpdateTransactionBody) GetAdminKey() *Key {
	if x != nil {
		return x.AdminKey
	}
	return nil
}

func (x *ContractUpdateTransactionBody) GetProxyAccountID() *AccountID {
	if x != nil {
		return x.ProxyAccountID
	}
	return nil
}

func (x *ContractUpdateTransactionBody) GetAutoRenewPeriod() *Duration {
	if x != nil {
		return x.AutoRenewPeriod
	}
	return nil
}

func (x *ContractUpdateTransactionBody) GetFileID() *FileID {
	if x != nil {
		return x.FileID
	}
	return nil
}

func (m *ContractUpdateTransactionBody) GetMemoField() isContractUpdateTransactionBody_MemoField {
	if m != nil {
		return m.MemoField
	}
	return nil
}

// Deprecated: Do not use.
func (x *ContractUpdateTransactionBody) GetMemo() string {
	if x, ok := x.GetMemoField().(*ContractUpdateTransactionBody_Memo); ok {
		return x.Memo
	}
	return ""
}

func (x *ContractUpdateTransactionBody) GetMemoWrapper() *wrapperspb.StringValue {
	if x, ok := x.GetMemoField().(*ContractUpdateTransactionBody_MemoWrapper); ok {
		return x.MemoWrapper
	}
	return nil
}

type isContractUpdateTransactionBody_MemoField interface {
	isContractUpdateTransactionBody_MemoField()
}

type ContractUpdateTransactionBody_Memo struct {
	// Deprecated: Do not use.
	Memo string `protobuf:"bytes,9,opt,name=memo,proto3,oneof"` // [Deprecated] If set with a non-zero length, the new memo to be associated with the account (UTF-8 encoding max 100 bytes)
}

type ContractUpdateTransactionBody_MemoWrapper struct {
	MemoWrapper *wrapperspb.StringValue `protobuf:"bytes,10,opt,name=memoWrapper,proto3,oneof"` // If set, the new memo to be associated with the account (UTF-8 encoding max 100 bytes)
}

func (*ContractUpdateTransactionBody_Memo) isContractUpdateTransactionBody_MemoField() {}

func (*ContractUpdateTransactionBody_MemoWrapper) isContractUpdateTransactionBody_MemoField() {}

var File_proto_contract_update_proto protoreflect.FileDescriptor

var file_proto_contract_update_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74,
	0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x17, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x62, 0x61, 0x73, 0x69,
	0x63, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x14, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x15, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73,
	0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70,
	0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xb9, 0x03, 0x0a, 0x1d, 0x43,
	0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x12, 0x31, 0x0a, 0x0a,
	0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x49, 0x44, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x11, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63,
	0x74, 0x49, 0x44, 0x52, 0x0a, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x49, 0x44, 0x12,
	0x38, 0x0a, 0x0e, 0x65, 0x78, 0x70, 0x69, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x69, 0x6d,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e,
	0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0e, 0x65, 0x78, 0x70, 0x69, 0x72,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x26, 0x0a, 0x08, 0x61, 0x64, 0x6d,
	0x69, 0x6e, 0x4b, 0x65, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0a, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x2e, 0x4b, 0x65, 0x79, 0x52, 0x08, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x4b, 0x65,
	0x79, 0x12, 0x38, 0x0a, 0x0e, 0x70, 0x72, 0x6f, 0x78, 0x79, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x49, 0x44, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x49, 0x44, 0x52, 0x0e, 0x70, 0x72, 0x6f,
	0x78, 0x79, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x49, 0x44, 0x12, 0x39, 0x0a, 0x0f, 0x61,
	0x75, 0x74, 0x6f, 0x52, 0x65, 0x6e, 0x65, 0x77, 0x50, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x44, 0x75, 0x72,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0f, 0x61, 0x75, 0x74, 0x6f, 0x52, 0x65, 0x6e, 0x65, 0x77,
	0x50, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x12, 0x25, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x44,
	0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x46,
	0x69, 0x6c, 0x65, 0x49, 0x44, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x44, 0x12, 0x18, 0x0a,
	0x04, 0x6d, 0x65, 0x6d, 0x6f, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x42, 0x02, 0x18, 0x01, 0x48,
	0x00, 0x52, 0x04, 0x6d, 0x65, 0x6d, 0x6f, 0x12, 0x40, 0x0a, 0x0b, 0x6d, 0x65, 0x6d, 0x6f, 0x57,
	0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53,
	0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x48, 0x00, 0x52, 0x0b, 0x6d, 0x65,
	0x6d, 0x6f, 0x57, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x42, 0x0b, 0x0a, 0x09, 0x6d, 0x65, 0x6d,
	0x6f, 0x46, 0x69, 0x65, 0x6c, 0x64, 0x42, 0x4b, 0x0a, 0x1a, 0x63, 0x6f, 0x6d, 0x2e, 0x68, 0x65,
	0x64, 0x65, 0x72, 0x61, 0x2e, 0x68, 0x61, 0x73, 0x68, 0x67, 0x72, 0x61, 0x70, 0x68, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x2b, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x68, 0x61, 0x73, 0x68, 0x67, 0x72, 0x61, 0x70, 0x68, 0x2f, 0x68, 0x65, 0x64,
	0x65, 0x72, 0x61, 0x2d, 0x73, 0x64, 0x6b, 0x2d, 0x67, 0x6f, 0x2f, 0x76, 0x32, 0x2f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_contract_update_proto_rawDescOnce sync.Once
	file_proto_contract_update_proto_rawDescData = file_proto_contract_update_proto_rawDesc
)

func file_proto_contract_update_proto_rawDescGZIP() []byte {
	file_proto_contract_update_proto_rawDescOnce.Do(func() {
		file_proto_contract_update_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_contract_update_proto_rawDescData)
	})
	return file_proto_contract_update_proto_rawDescData
}

var file_proto_contract_update_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_proto_contract_update_proto_goTypes = []interface{}{
	(*ContractUpdateTransactionBody)(nil), // 0: proto.ContractUpdateTransactionBody
	(*ContractID)(nil),                    // 1: proto.ContractID
	(*Timestamp)(nil),                     // 2: proto.Timestamp
	(*Key)(nil),                           // 3: proto.Key
	(*AccountID)(nil),                     // 4: proto.AccountID
	(*Duration)(nil),                      // 5: proto.Duration
	(*FileID)(nil),                        // 6: proto.FileID
	(*wrapperspb.StringValue)(nil),        // 7: google.protobuf.StringValue
}
var file_proto_contract_update_proto_depIdxs = []int32{
	1, // 0: proto.ContractUpdateTransactionBody.contractID:type_name -> proto.ContractID
	2, // 1: proto.ContractUpdateTransactionBody.expirationTime:type_name -> proto.Timestamp
	3, // 2: proto.ContractUpdateTransactionBody.adminKey:type_name -> proto.Key
	4, // 3: proto.ContractUpdateTransactionBody.proxyAccountID:type_name -> proto.AccountID
	5, // 4: proto.ContractUpdateTransactionBody.autoRenewPeriod:type_name -> proto.Duration
	6, // 5: proto.ContractUpdateTransactionBody.fileID:type_name -> proto.FileID
	7, // 6: proto.ContractUpdateTransactionBody.memoWrapper:type_name -> google.protobuf.StringValue
	7, // [7:7] is the sub-list for method output_type
	7, // [7:7] is the sub-list for method input_type
	7, // [7:7] is the sub-list for extension type_name
	7, // [7:7] is the sub-list for extension extendee
	0, // [0:7] is the sub-list for field type_name
}

func init() { file_proto_contract_update_proto_init() }
func file_proto_contract_update_proto_init() {
	if File_proto_contract_update_proto != nil {
		return
	}
	file_proto_basic_types_proto_init()
	file_proto_duration_proto_init()
	file_proto_timestamp_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_proto_contract_update_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ContractUpdateTransactionBody); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_proto_contract_update_proto_msgTypes[0].OneofWrappers = []interface{}{
		(*ContractUpdateTransactionBody_Memo)(nil),
		(*ContractUpdateTransactionBody_MemoWrapper)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_contract_update_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_proto_contract_update_proto_goTypes,
		DependencyIndexes: file_proto_contract_update_proto_depIdxs,
		MessageInfos:      file_proto_contract_update_proto_msgTypes,
	}.Build()
	File_proto_contract_update_proto = out.File
	file_proto_contract_update_proto_rawDesc = nil
	file_proto_contract_update_proto_goTypes = nil
	file_proto_contract_update_proto_depIdxs = nil
}
