// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.3
// source: proto/transaction_body.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// A single transaction. All transaction types are possible here.
type TransactionBody struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TransactionID            *TransactionID `protobuf:"bytes,1,opt,name=transactionID,proto3" json:"transactionID,omitempty"`                       // The ID for this transaction, which includes the payer's account (the account paying the transaction fee). If two transactions have the same transactionID, they won't both have an effect
	NodeAccountID            *AccountID     `protobuf:"bytes,2,opt,name=nodeAccountID,proto3" json:"nodeAccountID,omitempty"`                       // The account of the node that submits the client's transaction to the network
	TransactionFee           uint64         `protobuf:"varint,3,opt,name=transactionFee,proto3" json:"transactionFee,omitempty"`                    // The maximum transaction fee the client is willing to pay
	TransactionValidDuration *Duration      `protobuf:"bytes,4,opt,name=transactionValidDuration,proto3" json:"transactionValidDuration,omitempty"` //The transaction is invalid if consensusTimestamp > transactionID.transactionValidStart + transactionValidDuration
	// Deprecated: Do not use.
	GenerateRecord bool   `protobuf:"varint,5,opt,name=generateRecord,proto3" json:"generateRecord,omitempty"` // Should a record of this transaction be generated? (A receipt is always generated, but the record is optional)
	Memo           string `protobuf:"bytes,6,opt,name=memo,proto3" json:"memo,omitempty"`                      // Any notes or descriptions that should be put into the record (max length 100)
	// Types that are assignable to Data:
	//	*TransactionBody_ContractCall
	//	*TransactionBody_ContractCreateInstance
	//	*TransactionBody_ContractUpdateInstance
	//	*TransactionBody_ContractDeleteInstance
	//	*TransactionBody_CryptoAddLiveHash
	//	*TransactionBody_CryptoCreateAccount
	//	*TransactionBody_CryptoDelete
	//	*TransactionBody_CryptoDeleteLiveHash
	//	*TransactionBody_CryptoTransfer
	//	*TransactionBody_CryptoUpdateAccount
	//	*TransactionBody_FileAppend
	//	*TransactionBody_FileCreate
	//	*TransactionBody_FileDelete
	//	*TransactionBody_FileUpdate
	//	*TransactionBody_SystemDelete
	//	*TransactionBody_SystemUndelete
	//	*TransactionBody_Freeze
	//	*TransactionBody_ConsensusCreateTopic
	//	*TransactionBody_ConsensusUpdateTopic
	//	*TransactionBody_ConsensusDeleteTopic
	//	*TransactionBody_ConsensusSubmitMessage
	//	*TransactionBody_UncheckedSubmit
	//	*TransactionBody_TokenCreation
	//	*TransactionBody_TokenFreeze
	//	*TransactionBody_TokenUnfreeze
	//	*TransactionBody_TokenGrantKyc
	//	*TransactionBody_TokenRevokeKyc
	//	*TransactionBody_TokenDeletion
	//	*TransactionBody_TokenUpdate
	//	*TransactionBody_TokenMint
	//	*TransactionBody_TokenBurn
	//	*TransactionBody_TokenWipe
	//	*TransactionBody_TokenAssociate
	//	*TransactionBody_TokenDissociate
	//	*TransactionBody_TokenFeeScheduleUpdate
	//	*TransactionBody_ScheduleCreate
	//	*TransactionBody_ScheduleDelete
	//	*TransactionBody_ScheduleSign
	Data isTransactionBody_Data `protobuf_oneof:"data"`
}

func (x *TransactionBody) Reset() {
	*x = TransactionBody{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_transaction_body_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TransactionBody) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TransactionBody) ProtoMessage() {}

func (x *TransactionBody) ProtoReflect() protoreflect.Message {
	mi := &file_proto_transaction_body_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TransactionBody.ProtoReflect.Descriptor instead.
func (*TransactionBody) Descriptor() ([]byte, []int) {
	return file_proto_transaction_body_proto_rawDescGZIP(), []int{0}
}

func (x *TransactionBody) GetTransactionID() *TransactionID {
	if x != nil {
		return x.TransactionID
	}
	return nil
}

func (x *TransactionBody) GetNodeAccountID() *AccountID {
	if x != nil {
		return x.NodeAccountID
	}
	return nil
}

func (x *TransactionBody) GetTransactionFee() uint64 {
	if x != nil {
		return x.TransactionFee
	}
	return 0
}

func (x *TransactionBody) GetTransactionValidDuration() *Duration {
	if x != nil {
		return x.TransactionValidDuration
	}
	return nil
}

// Deprecated: Do not use.
func (x *TransactionBody) GetGenerateRecord() bool {
	if x != nil {
		return x.GenerateRecord
	}
	return false
}

func (x *TransactionBody) GetMemo() string {
	if x != nil {
		return x.Memo
	}
	return ""
}

func (m *TransactionBody) GetData() isTransactionBody_Data {
	if m != nil {
		return m.Data
	}
	return nil
}

func (x *TransactionBody) GetContractCall() *ContractCallTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_ContractCall); ok {
		return x.ContractCall
	}
	return nil
}

func (x *TransactionBody) GetContractCreateInstance() *ContractCreateTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_ContractCreateInstance); ok {
		return x.ContractCreateInstance
	}
	return nil
}

func (x *TransactionBody) GetContractUpdateInstance() *ContractUpdateTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_ContractUpdateInstance); ok {
		return x.ContractUpdateInstance
	}
	return nil
}

func (x *TransactionBody) GetContractDeleteInstance() *ContractDeleteTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_ContractDeleteInstance); ok {
		return x.ContractDeleteInstance
	}
	return nil
}

func (x *TransactionBody) GetCryptoAddLiveHash() *CryptoAddLiveHashTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_CryptoAddLiveHash); ok {
		return x.CryptoAddLiveHash
	}
	return nil
}

func (x *TransactionBody) GetCryptoCreateAccount() *CryptoCreateTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_CryptoCreateAccount); ok {
		return x.CryptoCreateAccount
	}
	return nil
}

func (x *TransactionBody) GetCryptoDelete() *CryptoDeleteTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_CryptoDelete); ok {
		return x.CryptoDelete
	}
	return nil
}

func (x *TransactionBody) GetCryptoDeleteLiveHash() *CryptoDeleteLiveHashTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_CryptoDeleteLiveHash); ok {
		return x.CryptoDeleteLiveHash
	}
	return nil
}

func (x *TransactionBody) GetCryptoTransfer() *CryptoTransferTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_CryptoTransfer); ok {
		return x.CryptoTransfer
	}
	return nil
}

func (x *TransactionBody) GetCryptoUpdateAccount() *CryptoUpdateTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_CryptoUpdateAccount); ok {
		return x.CryptoUpdateAccount
	}
	return nil
}

func (x *TransactionBody) GetFileAppend() *FileAppendTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_FileAppend); ok {
		return x.FileAppend
	}
	return nil
}

func (x *TransactionBody) GetFileCreate() *FileCreateTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_FileCreate); ok {
		return x.FileCreate
	}
	return nil
}

func (x *TransactionBody) GetFileDelete() *FileDeleteTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_FileDelete); ok {
		return x.FileDelete
	}
	return nil
}

func (x *TransactionBody) GetFileUpdate() *FileUpdateTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_FileUpdate); ok {
		return x.FileUpdate
	}
	return nil
}

func (x *TransactionBody) GetSystemDelete() *SystemDeleteTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_SystemDelete); ok {
		return x.SystemDelete
	}
	return nil
}

func (x *TransactionBody) GetSystemUndelete() *SystemUndeleteTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_SystemUndelete); ok {
		return x.SystemUndelete
	}
	return nil
}

func (x *TransactionBody) GetFreeze() *FreezeTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_Freeze); ok {
		return x.Freeze
	}
	return nil
}

func (x *TransactionBody) GetConsensusCreateTopic() *ConsensusCreateTopicTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_ConsensusCreateTopic); ok {
		return x.ConsensusCreateTopic
	}
	return nil
}

func (x *TransactionBody) GetConsensusUpdateTopic() *ConsensusUpdateTopicTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_ConsensusUpdateTopic); ok {
		return x.ConsensusUpdateTopic
	}
	return nil
}

func (x *TransactionBody) GetConsensusDeleteTopic() *ConsensusDeleteTopicTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_ConsensusDeleteTopic); ok {
		return x.ConsensusDeleteTopic
	}
	return nil
}

func (x *TransactionBody) GetConsensusSubmitMessage() *ConsensusSubmitMessageTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_ConsensusSubmitMessage); ok {
		return x.ConsensusSubmitMessage
	}
	return nil
}

func (x *TransactionBody) GetUncheckedSubmit() *UncheckedSubmitBody {
	if x, ok := x.GetData().(*TransactionBody_UncheckedSubmit); ok {
		return x.UncheckedSubmit
	}
	return nil
}

func (x *TransactionBody) GetTokenCreation() *TokenCreateTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenCreation); ok {
		return x.TokenCreation
	}
	return nil
}

func (x *TransactionBody) GetTokenFreeze() *TokenFreezeAccountTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenFreeze); ok {
		return x.TokenFreeze
	}
	return nil
}

func (x *TransactionBody) GetTokenUnfreeze() *TokenUnfreezeAccountTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenUnfreeze); ok {
		return x.TokenUnfreeze
	}
	return nil
}

func (x *TransactionBody) GetTokenGrantKyc() *TokenGrantKycTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenGrantKyc); ok {
		return x.TokenGrantKyc
	}
	return nil
}

func (x *TransactionBody) GetTokenRevokeKyc() *TokenRevokeKycTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenRevokeKyc); ok {
		return x.TokenRevokeKyc
	}
	return nil
}

func (x *TransactionBody) GetTokenDeletion() *TokenDeleteTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenDeletion); ok {
		return x.TokenDeletion
	}
	return nil
}

func (x *TransactionBody) GetTokenUpdate() *TokenUpdateTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenUpdate); ok {
		return x.TokenUpdate
	}
	return nil
}

func (x *TransactionBody) GetTokenMint() *TokenMintTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenMint); ok {
		return x.TokenMint
	}
	return nil
}

func (x *TransactionBody) GetTokenBurn() *TokenBurnTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenBurn); ok {
		return x.TokenBurn
	}
	return nil
}

func (x *TransactionBody) GetTokenWipe() *TokenWipeAccountTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenWipe); ok {
		return x.TokenWipe
	}
	return nil
}

func (x *TransactionBody) GetTokenAssociate() *TokenAssociateTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenAssociate); ok {
		return x.TokenAssociate
	}
	return nil
}

func (x *TransactionBody) GetTokenDissociate() *TokenDissociateTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenDissociate); ok {
		return x.TokenDissociate
	}
	return nil
}

func (x *TransactionBody) GetTokenFeeScheduleUpdate() *TokenFeeScheduleUpdateTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_TokenFeeScheduleUpdate); ok {
		return x.TokenFeeScheduleUpdate
	}
	return nil
}

func (x *TransactionBody) GetScheduleCreate() *ScheduleCreateTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_ScheduleCreate); ok {
		return x.ScheduleCreate
	}
	return nil
}

func (x *TransactionBody) GetScheduleDelete() *ScheduleDeleteTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_ScheduleDelete); ok {
		return x.ScheduleDelete
	}
	return nil
}

func (x *TransactionBody) GetScheduleSign() *ScheduleSignTransactionBody {
	if x, ok := x.GetData().(*TransactionBody_ScheduleSign); ok {
		return x.ScheduleSign
	}
	return nil
}

type isTransactionBody_Data interface {
	isTransactionBody_Data()
}

type TransactionBody_ContractCall struct {
	ContractCall *ContractCallTransactionBody `protobuf:"bytes,7,opt,name=contractCall,proto3,oneof"` // Calls a function of a contract instance
}

type TransactionBody_ContractCreateInstance struct {
	ContractCreateInstance *ContractCreateTransactionBody `protobuf:"bytes,8,opt,name=contractCreateInstance,proto3,oneof"` // Creates a contract instance
}

type TransactionBody_ContractUpdateInstance struct {
	ContractUpdateInstance *ContractUpdateTransactionBody `protobuf:"bytes,9,opt,name=contractUpdateInstance,proto3,oneof"` // Updates a contract
}

type TransactionBody_ContractDeleteInstance struct {
	ContractDeleteInstance *ContractDeleteTransactionBody `protobuf:"bytes,22,opt,name=contractDeleteInstance,proto3,oneof"` //Delete contract and transfer remaining balance into specified account
}

type TransactionBody_CryptoAddLiveHash struct {
	CryptoAddLiveHash *CryptoAddLiveHashTransactionBody `protobuf:"bytes,10,opt,name=cryptoAddLiveHash,proto3,oneof"` // Attach a new livehash to an account
}

type TransactionBody_CryptoCreateAccount struct {
	CryptoCreateAccount *CryptoCreateTransactionBody `protobuf:"bytes,11,opt,name=cryptoCreateAccount,proto3,oneof"` // Create a new cryptocurrency account
}

type TransactionBody_CryptoDelete struct {
	CryptoDelete *CryptoDeleteTransactionBody `protobuf:"bytes,12,opt,name=cryptoDelete,proto3,oneof"` // Delete a cryptocurrency account (mark as deleted, and transfer hbars out)
}

type TransactionBody_CryptoDeleteLiveHash struct {
	CryptoDeleteLiveHash *CryptoDeleteLiveHashTransactionBody `protobuf:"bytes,13,opt,name=cryptoDeleteLiveHash,proto3,oneof"` // Remove a livehash from an account
}

type TransactionBody_CryptoTransfer struct {
	CryptoTransfer *CryptoTransferTransactionBody `protobuf:"bytes,14,opt,name=cryptoTransfer,proto3,oneof"` // Transfer amount between accounts
}

type TransactionBody_CryptoUpdateAccount struct {
	CryptoUpdateAccount *CryptoUpdateTransactionBody `protobuf:"bytes,15,opt,name=cryptoUpdateAccount,proto3,oneof"` // Modify information such as the expiration date for an account
}

type TransactionBody_FileAppend struct {
	FileAppend *FileAppendTransactionBody `protobuf:"bytes,16,opt,name=fileAppend,proto3,oneof"` // Add bytes to the end of the contents of a file
}

type TransactionBody_FileCreate struct {
	FileCreate *FileCreateTransactionBody `protobuf:"bytes,17,opt,name=fileCreate,proto3,oneof"` // Create a new file
}

type TransactionBody_FileDelete struct {
	FileDelete *FileDeleteTransactionBody `protobuf:"bytes,18,opt,name=fileDelete,proto3,oneof"` // Delete a file (remove contents and mark as deleted until it expires)
}

type TransactionBody_FileUpdate struct {
	FileUpdate *FileUpdateTransactionBody `protobuf:"bytes,19,opt,name=fileUpdate,proto3,oneof"` // Modify information such as the expiration date for a file
}

type TransactionBody_SystemDelete struct {
	SystemDelete *SystemDeleteTransactionBody `protobuf:"bytes,20,opt,name=systemDelete,proto3,oneof"` // Hedera administrative deletion of a file or smart contract
}

type TransactionBody_SystemUndelete struct {
	SystemUndelete *SystemUndeleteTransactionBody `protobuf:"bytes,21,opt,name=systemUndelete,proto3,oneof"` //To undelete an entity deleted by SystemDelete
}

type TransactionBody_Freeze struct {
	Freeze *FreezeTransactionBody `protobuf:"bytes,23,opt,name=freeze,proto3,oneof"` // Freeze the nodes
}

type TransactionBody_ConsensusCreateTopic struct {
	ConsensusCreateTopic *ConsensusCreateTopicTransactionBody `protobuf:"bytes,24,opt,name=consensusCreateTopic,proto3,oneof"` // Creates a topic
}

type TransactionBody_ConsensusUpdateTopic struct {
	ConsensusUpdateTopic *ConsensusUpdateTopicTransactionBody `protobuf:"bytes,25,opt,name=consensusUpdateTopic,proto3,oneof"` // Updates a topic
}

type TransactionBody_ConsensusDeleteTopic struct {
	ConsensusDeleteTopic *ConsensusDeleteTopicTransactionBody `protobuf:"bytes,26,opt,name=consensusDeleteTopic,proto3,oneof"` // Deletes a topic
}

type TransactionBody_ConsensusSubmitMessage struct {
	ConsensusSubmitMessage *ConsensusSubmitMessageTransactionBody `protobuf:"bytes,27,opt,name=consensusSubmitMessage,proto3,oneof"` // Submits message to a topic
}

type TransactionBody_UncheckedSubmit struct {
	UncheckedSubmit *UncheckedSubmitBody `protobuf:"bytes,28,opt,name=uncheckedSubmit,proto3,oneof"`
}

type TransactionBody_TokenCreation struct {
	TokenCreation *TokenCreateTransactionBody `protobuf:"bytes,29,opt,name=tokenCreation,proto3,oneof"` // Creates a token instance
}

type TransactionBody_TokenFreeze struct {
	TokenFreeze *TokenFreezeAccountTransactionBody `protobuf:"bytes,31,opt,name=tokenFreeze,proto3,oneof"` // Freezes account not to be able to transact with a token
}

type TransactionBody_TokenUnfreeze struct {
	TokenUnfreeze *TokenUnfreezeAccountTransactionBody `protobuf:"bytes,32,opt,name=tokenUnfreeze,proto3,oneof"` // Unfreezes account for a token
}

type TransactionBody_TokenGrantKyc struct {
	TokenGrantKyc *TokenGrantKycTransactionBody `protobuf:"bytes,33,opt,name=tokenGrantKyc,proto3,oneof"` // Grants KYC to an account for a token
}

type TransactionBody_TokenRevokeKyc struct {
	TokenRevokeKyc *TokenRevokeKycTransactionBody `protobuf:"bytes,34,opt,name=tokenRevokeKyc,proto3,oneof"` // Revokes KYC of an account for a token
}

type TransactionBody_TokenDeletion struct {
	TokenDeletion *TokenDeleteTransactionBody `protobuf:"bytes,35,opt,name=tokenDeletion,proto3,oneof"` // Deletes a token instance
}

type TransactionBody_TokenUpdate struct {
	TokenUpdate *TokenUpdateTransactionBody `protobuf:"bytes,36,opt,name=tokenUpdate,proto3,oneof"` // Updates a token instance
}

type TransactionBody_TokenMint struct {
	TokenMint *TokenMintTransactionBody `protobuf:"bytes,37,opt,name=tokenMint,proto3,oneof"` // Mints new tokens to a token's treasury account
}

type TransactionBody_TokenBurn struct {
	TokenBurn *TokenBurnTransactionBody `protobuf:"bytes,38,opt,name=tokenBurn,proto3,oneof"` // Burns tokens from a token's treasury account
}

type TransactionBody_TokenWipe struct {
	TokenWipe *TokenWipeAccountTransactionBody `protobuf:"bytes,39,opt,name=tokenWipe,proto3,oneof"` // Wipes amount of tokens from an account
}

type TransactionBody_TokenAssociate struct {
	TokenAssociate *TokenAssociateTransactionBody `protobuf:"bytes,40,opt,name=tokenAssociate,proto3,oneof"` // Associate tokens to an account
}

type TransactionBody_TokenDissociate struct {
	TokenDissociate *TokenDissociateTransactionBody `protobuf:"bytes,41,opt,name=tokenDissociate,proto3,oneof"` // Dissociate tokens from an account
}

type TransactionBody_TokenFeeScheduleUpdate struct {
	TokenFeeScheduleUpdate *TokenFeeScheduleUpdateTransactionBody `protobuf:"bytes,45,opt,name=token_fee_schedule_update,json=tokenFeeScheduleUpdate,proto3,oneof"` // Updates a token's custom fee schedule
}

type TransactionBody_ScheduleCreate struct {
	ScheduleCreate *ScheduleCreateTransactionBody `protobuf:"bytes,42,opt,name=scheduleCreate,proto3,oneof"` // Creates a schedule in the network's action queue
}

type TransactionBody_ScheduleDelete struct {
	ScheduleDelete *ScheduleDeleteTransactionBody `protobuf:"bytes,43,opt,name=scheduleDelete,proto3,oneof"` // Deletes a schedule from the network's action queue
}

type TransactionBody_ScheduleSign struct {
	ScheduleSign *ScheduleSignTransactionBody `protobuf:"bytes,44,opt,name=scheduleSign,proto3,oneof"` // Adds one or more Ed25519 keys to the affirmed signers of a scheduled transaction
}

func (*TransactionBody_ContractCall) isTransactionBody_Data() {}

func (*TransactionBody_ContractCreateInstance) isTransactionBody_Data() {}

func (*TransactionBody_ContractUpdateInstance) isTransactionBody_Data() {}

func (*TransactionBody_ContractDeleteInstance) isTransactionBody_Data() {}

func (*TransactionBody_CryptoAddLiveHash) isTransactionBody_Data() {}

func (*TransactionBody_CryptoCreateAccount) isTransactionBody_Data() {}

func (*TransactionBody_CryptoDelete) isTransactionBody_Data() {}

func (*TransactionBody_CryptoDeleteLiveHash) isTransactionBody_Data() {}

func (*TransactionBody_CryptoTransfer) isTransactionBody_Data() {}

func (*TransactionBody_CryptoUpdateAccount) isTransactionBody_Data() {}

func (*TransactionBody_FileAppend) isTransactionBody_Data() {}

func (*TransactionBody_FileCreate) isTransactionBody_Data() {}

func (*TransactionBody_FileDelete) isTransactionBody_Data() {}

func (*TransactionBody_FileUpdate) isTransactionBody_Data() {}

func (*TransactionBody_SystemDelete) isTransactionBody_Data() {}

func (*TransactionBody_SystemUndelete) isTransactionBody_Data() {}

func (*TransactionBody_Freeze) isTransactionBody_Data() {}

func (*TransactionBody_ConsensusCreateTopic) isTransactionBody_Data() {}

func (*TransactionBody_ConsensusUpdateTopic) isTransactionBody_Data() {}

func (*TransactionBody_ConsensusDeleteTopic) isTransactionBody_Data() {}

func (*TransactionBody_ConsensusSubmitMessage) isTransactionBody_Data() {}

func (*TransactionBody_UncheckedSubmit) isTransactionBody_Data() {}

func (*TransactionBody_TokenCreation) isTransactionBody_Data() {}

func (*TransactionBody_TokenFreeze) isTransactionBody_Data() {}

func (*TransactionBody_TokenUnfreeze) isTransactionBody_Data() {}

func (*TransactionBody_TokenGrantKyc) isTransactionBody_Data() {}

func (*TransactionBody_TokenRevokeKyc) isTransactionBody_Data() {}

func (*TransactionBody_TokenDeletion) isTransactionBody_Data() {}

func (*TransactionBody_TokenUpdate) isTransactionBody_Data() {}

func (*TransactionBody_TokenMint) isTransactionBody_Data() {}

func (*TransactionBody_TokenBurn) isTransactionBody_Data() {}

func (*TransactionBody_TokenWipe) isTransactionBody_Data() {}

func (*TransactionBody_TokenAssociate) isTransactionBody_Data() {}

func (*TransactionBody_TokenDissociate) isTransactionBody_Data() {}

func (*TransactionBody_TokenFeeScheduleUpdate) isTransactionBody_Data() {}

func (*TransactionBody_ScheduleCreate) isTransactionBody_Data() {}

func (*TransactionBody_ScheduleDelete) isTransactionBody_Data() {}

func (*TransactionBody_ScheduleSign) isTransactionBody_Data() {}

var File_proto_transaction_body_proto protoreflect.FileDescriptor

var file_proto_transaction_body_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x5f, 0x62, 0x6f, 0x64, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x19, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x79, 0x73,
	0x74, 0x65, 0x6d, 0x5f, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x1b, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x5f, 0x75,
	0x6e, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x12, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x66, 0x72, 0x65, 0x65, 0x7a, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x19, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63,
	0x74, 0x5f, 0x63, 0x61, 0x6c, 0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x5f, 0x63, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2f, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x20, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x72,
	0x79, 0x70, 0x74, 0x6f, 0x5f, 0x61, 0x64, 0x64, 0x5f, 0x6c, 0x69, 0x76, 0x65, 0x5f, 0x68, 0x61,
	0x73, 0x68, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x19, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f,
	0x63, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x5f, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x19, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x72, 0x79, 0x70, 0x74,
	0x6f, 0x5f, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x23,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x5f, 0x64, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x5f, 0x6c, 0x69, 0x76, 0x65, 0x5f, 0x68, 0x61, 0x73, 0x68, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x72, 0x79, 0x70, 0x74,
	0x6f, 0x5f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x66, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x19, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x5f, 0x75,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x17, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x2f, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x61, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x17, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x66, 0x69, 0x6c, 0x65,
	0x5f, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x17, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x17, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x66, 0x69,
	0x6c, 0x65, 0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x14, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x17, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x62, 0x61, 0x73,
	0x69, 0x63, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x5f, 0x64,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x22, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x2f, 0x63, 0x6f, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x75, 0x73, 0x5f, 0x63, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x5f, 0x74, 0x6f, 0x70, 0x69, 0x63, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x22, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x6f, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x75, 0x73,
	0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x5f, 0x74, 0x6f, 0x70, 0x69, 0x63, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x22, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x6f, 0x6e, 0x73, 0x65,
	0x6e, 0x73, 0x75, 0x73, 0x5f, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x5f, 0x74, 0x6f, 0x70, 0x69,
	0x63, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x24, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63,
	0x6f, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x75, 0x73, 0x5f, 0x73, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x5f,
	0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1c, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x75, 0x6e, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x65, 0x64, 0x5f, 0x73,
	0x75, 0x62, 0x6d, 0x69, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x18, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x2f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x5f, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x20, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x74, 0x6f, 0x6b,
	0x65, 0x6e, 0x5f, 0x66, 0x72, 0x65, 0x65, 0x7a, 0x65, 0x5f, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x22, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x74,
	0x6f, 0x6b, 0x65, 0x6e, 0x5f, 0x75, 0x6e, 0x66, 0x72, 0x65, 0x65, 0x7a, 0x65, 0x5f, 0x61, 0x63,
	0x63, 0x6f, 0x75, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x2f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x5f, 0x67, 0x72, 0x61, 0x6e, 0x74, 0x5f, 0x6b,
	0x79, 0x63, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1c, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f,
	0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x5f, 0x72, 0x65, 0x76, 0x6f, 0x6b, 0x65, 0x5f, 0x6b, 0x79, 0x63,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x18, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x74, 0x6f,
	0x6b, 0x65, 0x6e, 0x5f, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x18, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x5f, 0x75, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x16, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x5f, 0x6d, 0x69, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x16, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x5f,
	0x62, 0x75, 0x72, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x5f, 0x77, 0x69, 0x70, 0x65, 0x5f, 0x61, 0x63, 0x63,
	0x6f, 0x75, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x5f, 0x61, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1c, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x74,
	0x6f, 0x6b, 0x65, 0x6e, 0x5f, 0x64, 0x69, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x25, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x74, 0x6f, 0x6b,
	0x65, 0x6e, 0x5f, 0x66, 0x65, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x5f,
	0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x5f, 0x63, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2f, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x5f, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x19, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x63,
	0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x5f, 0x73, 0x69, 0x67, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x22, 0xc7, 0x1a, 0x0a, 0x0f, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x42, 0x6f, 0x64, 0x79, 0x12, 0x3a, 0x0a, 0x0d, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x49, 0x44, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x49, 0x44, 0x52, 0x0d, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x49,
	0x44, 0x12, 0x36, 0x0a, 0x0d, 0x6e, 0x6f, 0x64, 0x65, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x49, 0x44, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x49, 0x44, 0x52, 0x0d, 0x6e, 0x6f, 0x64, 0x65,
	0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x49, 0x44, 0x12, 0x26, 0x0a, 0x0e, 0x74, 0x72, 0x61,
	0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x46, 0x65, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x04, 0x52, 0x0e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x46, 0x65,
	0x65, 0x12, 0x4b, 0x0a, 0x18, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x56, 0x61, 0x6c, 0x69, 0x64, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x44, 0x75, 0x72, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x52, 0x18, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x2a,
	0x0a, 0x0e, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x08, 0x42, 0x02, 0x18, 0x01, 0x52, 0x0e, 0x67, 0x65, 0x6e, 0x65,
	0x72, 0x61, 0x74, 0x65, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x65,
	0x6d, 0x6f, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x65, 0x6d, 0x6f, 0x12, 0x48,
	0x0a, 0x0c, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x43, 0x61, 0x6c, 0x6c, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x6f, 0x6e,
	0x74, 0x72, 0x61, 0x63, 0x74, 0x43, 0x61, 0x6c, 0x6c, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0c, 0x63, 0x6f, 0x6e, 0x74,
	0x72, 0x61, 0x63, 0x74, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x5e, 0x0a, 0x16, 0x63, 0x6f, 0x6e, 0x74,
	0x72, 0x61, 0x63, 0x74, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e,
	0x63, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00,
	0x52, 0x16, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x12, 0x5e, 0x0a, 0x16, 0x63, 0x6f, 0x6e, 0x74,
	0x72, 0x61, 0x63, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e,
	0x63, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00,
	0x52, 0x16, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x12, 0x5e, 0x0a, 0x16, 0x63, 0x6f, 0x6e, 0x74,
	0x72, 0x61, 0x63, 0x74, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e,
	0x63, 0x65, 0x18, 0x16, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2e, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00,
	0x52, 0x16, 0x63, 0x6f, 0x6e, 0x74, 0x72, 0x61, 0x63, 0x74, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x12, 0x57, 0x0a, 0x11, 0x63, 0x72, 0x79, 0x70,
	0x74, 0x6f, 0x41, 0x64, 0x64, 0x4c, 0x69, 0x76, 0x65, 0x48, 0x61, 0x73, 0x68, 0x18, 0x0a, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x72, 0x79, 0x70,
	0x74, 0x6f, 0x41, 0x64, 0x64, 0x4c, 0x69, 0x76, 0x65, 0x48, 0x61, 0x73, 0x68, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x11,
	0x63, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x41, 0x64, 0x64, 0x4c, 0x69, 0x76, 0x65, 0x48, 0x61, 0x73,
	0x68, 0x12, 0x56, 0x0a, 0x13, 0x63, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x43, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x22,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f,
	0x64, 0x79, 0x48, 0x00, 0x52, 0x13, 0x63, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x48, 0x0a, 0x0c, 0x63, 0x72, 0x79,
	0x70, 0x74, 0x6f, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x22, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x44, 0x65,
	0x6c, 0x65, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42,
	0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0c, 0x63, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x12, 0x60, 0x0a, 0x14, 0x63, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x4c, 0x69, 0x76, 0x65, 0x48, 0x61, 0x73, 0x68, 0x18, 0x0d, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x2a, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x72, 0x79, 0x70, 0x74, 0x6f,
	0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x4c, 0x69, 0x76, 0x65, 0x48, 0x61, 0x73, 0x68, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52,
	0x14, 0x63, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x4c, 0x69, 0x76,
	0x65, 0x48, 0x61, 0x73, 0x68, 0x12, 0x4e, 0x0a, 0x0e, 0x63, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x66, 0x65, 0x72, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x66, 0x65, 0x72, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42,
	0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0e, 0x63, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x66, 0x65, 0x72, 0x12, 0x56, 0x0a, 0x13, 0x63, 0x72, 0x79, 0x70, 0x74, 0x6f, 0x55,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x0f, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x22, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x72, 0x79, 0x70, 0x74,
	0x6f, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x13, 0x63, 0x72, 0x79, 0x70, 0x74, 0x6f,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x42, 0x0a,
	0x0a, 0x66, 0x69, 0x6c, 0x65, 0x41, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x18, 0x10, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x20, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x41, 0x70,
	0x70, 0x65, 0x6e, 0x64, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42,
	0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0a, 0x66, 0x69, 0x6c, 0x65, 0x41, 0x70, 0x70, 0x65, 0x6e,
	0x64, 0x12, 0x42, 0x0a, 0x0a, 0x66, 0x69, 0x6c, 0x65, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x18,
	0x11, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x46, 0x69,
	0x6c, 0x65, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0a, 0x66, 0x69, 0x6c, 0x65, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x12, 0x42, 0x0a, 0x0a, 0x66, 0x69, 0x6c, 0x65, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x18, 0x12, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0a, 0x66,
	0x69, 0x6c, 0x65, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x42, 0x0a, 0x0a, 0x66, 0x69, 0x6c,
	0x65, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x18, 0x13, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48,
	0x00, 0x52, 0x0a, 0x66, 0x69, 0x6c, 0x65, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x48, 0x0a,
	0x0c, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x18, 0x14, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x53, 0x79, 0x73, 0x74,
	0x65, 0x6d, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0c, 0x73, 0x79, 0x73, 0x74, 0x65,
	0x6d, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x4e, 0x0a, 0x0e, 0x73, 0x79, 0x73, 0x74, 0x65,
	0x6d, 0x55, 0x6e, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x18, 0x15, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x24, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x55, 0x6e,
	0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0e, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x55,
	0x6e, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x36, 0x0a, 0x06, 0x66, 0x72, 0x65, 0x65, 0x7a,
	0x65, 0x18, 0x17, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e,
	0x46, 0x72, 0x65, 0x65, 0x7a, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x06, 0x66, 0x72, 0x65, 0x65, 0x7a, 0x65, 0x12,
	0x60, 0x0a, 0x14, 0x63, 0x6f, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x75, 0x73, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x54, 0x6f, 0x70, 0x69, 0x63, 0x18, 0x18, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x6f, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x75, 0x73, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x6f, 0x70, 0x69, 0x63, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x14, 0x63, 0x6f, 0x6e,
	0x73, 0x65, 0x6e, 0x73, 0x75, 0x73, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x6f, 0x70, 0x69,
	0x63, 0x12, 0x60, 0x0a, 0x14, 0x63, 0x6f, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x75, 0x73, 0x55, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x54, 0x6f, 0x70, 0x69, 0x63, 0x18, 0x19, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x2a, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x6f, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x75,
	0x73, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x54, 0x6f, 0x70, 0x69, 0x63, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x14, 0x63,
	0x6f, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x75, 0x73, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x54, 0x6f,
	0x70, 0x69, 0x63, 0x12, 0x60, 0x0a, 0x14, 0x63, 0x6f, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x75, 0x73,
	0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x54, 0x6f, 0x70, 0x69, 0x63, 0x18, 0x1a, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x2a, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x6f, 0x6e, 0x73, 0x65, 0x6e,
	0x73, 0x75, 0x73, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x54, 0x6f, 0x70, 0x69, 0x63, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52,
	0x14, 0x63, 0x6f, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x75, 0x73, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x54, 0x6f, 0x70, 0x69, 0x63, 0x12, 0x66, 0x0a, 0x16, 0x63, 0x6f, 0x6e, 0x73, 0x65, 0x6e, 0x73,
	0x75, 0x73, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18,
	0x1b, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x6f,
	0x6e, 0x73, 0x65, 0x6e, 0x73, 0x75, 0x73, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x4d, 0x65, 0x73,
	0x73, 0x61, 0x67, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42,
	0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x16, 0x63, 0x6f, 0x6e, 0x73, 0x65, 0x6e, 0x73, 0x75, 0x73,
	0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x46, 0x0a,
	0x0f, 0x75, 0x6e, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x65, 0x64, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74,
	0x18, 0x1c, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x55,
	0x6e, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x65, 0x64, 0x53, 0x75, 0x62, 0x6d, 0x69, 0x74, 0x42, 0x6f,
	0x64, 0x79, 0x48, 0x00, 0x52, 0x0f, 0x75, 0x6e, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x65, 0x64, 0x53,
	0x75, 0x62, 0x6d, 0x69, 0x74, 0x12, 0x49, 0x0a, 0x0d, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x43, 0x72,
	0x65, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x1d, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48,
	0x00, 0x52, 0x0d, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x12, 0x4c, 0x0a, 0x0b, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x46, 0x72, 0x65, 0x65, 0x7a, 0x65, 0x18,
	0x1f, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x54, 0x6f,
	0x6b, 0x65, 0x6e, 0x46, 0x72, 0x65, 0x65, 0x7a, 0x65, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48,
	0x00, 0x52, 0x0b, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x46, 0x72, 0x65, 0x65, 0x7a, 0x65, 0x12, 0x52,
	0x0a, 0x0d, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x55, 0x6e, 0x66, 0x72, 0x65, 0x65, 0x7a, 0x65, 0x18,
	0x20, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x54, 0x6f,
	0x6b, 0x65, 0x6e, 0x55, 0x6e, 0x66, 0x72, 0x65, 0x65, 0x7a, 0x65, 0x41, 0x63, 0x63, 0x6f, 0x75,
	0x6e, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64,
	0x79, 0x48, 0x00, 0x52, 0x0d, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x55, 0x6e, 0x66, 0x72, 0x65, 0x65,
	0x7a, 0x65, 0x12, 0x4b, 0x0a, 0x0d, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x47, 0x72, 0x61, 0x6e, 0x74,
	0x4b, 0x79, 0x63, 0x18, 0x21, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2e, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x47, 0x72, 0x61, 0x6e, 0x74, 0x4b, 0x79, 0x63, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00,
	0x52, 0x0d, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x47, 0x72, 0x61, 0x6e, 0x74, 0x4b, 0x79, 0x63, 0x12,
	0x4e, 0x0a, 0x0e, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x65, 0x76, 0x6f, 0x6b, 0x65, 0x4b, 0x79,
	0x63, 0x18, 0x22, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e,
	0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x65, 0x76, 0x6f, 0x6b, 0x65, 0x4b, 0x79, 0x63, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52,
	0x0e, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x65, 0x76, 0x6f, 0x6b, 0x65, 0x4b, 0x79, 0x63, 0x12,
	0x49, 0x0a, 0x0d, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x69, 0x6f, 0x6e,
	0x18, 0x23, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x54,
	0x6f, 0x6b, 0x65, 0x6e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0d, 0x74, 0x6f, 0x6b,
	0x65, 0x6e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x45, 0x0a, 0x0b, 0x74, 0x6f,
	0x6b, 0x65, 0x6e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x18, 0x24, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x21, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x55, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f,
	0x64, 0x79, 0x48, 0x00, 0x52, 0x0b, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x55, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x12, 0x3f, 0x0a, 0x09, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x4d, 0x69, 0x6e, 0x74, 0x18, 0x25,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x54, 0x6f, 0x6b,
	0x65, 0x6e, 0x4d, 0x69, 0x6e, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x09, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x4d, 0x69,
	0x6e, 0x74, 0x12, 0x3f, 0x0a, 0x09, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x42, 0x75, 0x72, 0x6e, 0x18,
	0x26, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x54, 0x6f,
	0x6b, 0x65, 0x6e, 0x42, 0x75, 0x72, 0x6e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x09, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x42,
	0x75, 0x72, 0x6e, 0x12, 0x46, 0x0a, 0x09, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x57, 0x69, 0x70, 0x65,
	0x18, 0x27, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x54,
	0x6f, 0x6b, 0x65, 0x6e, 0x57, 0x69, 0x70, 0x65, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00,
	0x52, 0x09, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x57, 0x69, 0x70, 0x65, 0x12, 0x4e, 0x0a, 0x0e, 0x74,
	0x6f, 0x6b, 0x65, 0x6e, 0x41, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x18, 0x28, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x54, 0x6f, 0x6b, 0x65,
	0x6e, 0x41, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0e, 0x74, 0x6f, 0x6b,
	0x65, 0x6e, 0x41, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x12, 0x51, 0x0a, 0x0f, 0x74,
	0x6f, 0x6b, 0x65, 0x6e, 0x44, 0x69, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x18, 0x29,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x54, 0x6f, 0x6b,
	0x65, 0x6e, 0x44, 0x69, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0f, 0x74,
	0x6f, 0x6b, 0x65, 0x6e, 0x44, 0x69, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x12, 0x69,
	0x0a, 0x19, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x5f, 0x66, 0x65, 0x65, 0x5f, 0x73, 0x63, 0x68, 0x65,
	0x64, 0x75, 0x6c, 0x65, 0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x18, 0x2d, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x2c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x46,
	0x65, 0x65, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48,
	0x00, 0x52, 0x16, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x46, 0x65, 0x65, 0x53, 0x63, 0x68, 0x65, 0x64,
	0x75, 0x6c, 0x65, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x4e, 0x0a, 0x0e, 0x73, 0x63, 0x68,
	0x65, 0x64, 0x75, 0x6c, 0x65, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x18, 0x2a, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x24, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75,
	0x6c, 0x65, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0e, 0x73, 0x63, 0x68, 0x65, 0x64,
	0x75, 0x6c, 0x65, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x12, 0x4e, 0x0a, 0x0e, 0x73, 0x63, 0x68,
	0x65, 0x64, 0x75, 0x6c, 0x65, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x18, 0x2b, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x24, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75,
	0x6c, 0x65, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0e, 0x73, 0x63, 0x68, 0x65, 0x64,
	0x75, 0x6c, 0x65, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x48, 0x0a, 0x0c, 0x73, 0x63, 0x68,
	0x65, 0x64, 0x75, 0x6c, 0x65, 0x53, 0x69, 0x67, 0x6e, 0x18, 0x2c, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x22, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65,
	0x53, 0x69, 0x67, 0x6e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42,
	0x6f, 0x64, 0x79, 0x48, 0x00, 0x52, 0x0c, 0x73, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x53,
	0x69, 0x67, 0x6e, 0x42, 0x06, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x42, 0x4b, 0x0a, 0x1a, 0x63,
	0x6f, 0x6d, 0x2e, 0x68, 0x65, 0x64, 0x65, 0x72, 0x61, 0x2e, 0x68, 0x61, 0x73, 0x68, 0x67, 0x72,
	0x61, 0x70, 0x68, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x2b, 0x67, 0x69, 0x74,
	0x68, 0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x68, 0x61, 0x73, 0x68, 0x67, 0x72, 0x61, 0x70,
	0x68, 0x2f, 0x68, 0x65, 0x64, 0x65, 0x72, 0x61, 0x2d, 0x73, 0x64, 0x6b, 0x2d, 0x67, 0x6f, 0x2f,
	0x76, 0x32, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_transaction_body_proto_rawDescOnce sync.Once
	file_proto_transaction_body_proto_rawDescData = file_proto_transaction_body_proto_rawDesc
)

func file_proto_transaction_body_proto_rawDescGZIP() []byte {
	file_proto_transaction_body_proto_rawDescOnce.Do(func() {
		file_proto_transaction_body_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_transaction_body_proto_rawDescData)
	})
	return file_proto_transaction_body_proto_rawDescData
}

var file_proto_transaction_body_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_proto_transaction_body_proto_goTypes = []interface{}{
	(*TransactionBody)(nil),                       // 0: proto.TransactionBody
	(*TransactionID)(nil),                         // 1: proto.TransactionID
	(*AccountID)(nil),                             // 2: proto.AccountID
	(*Duration)(nil),                              // 3: proto.Duration
	(*ContractCallTransactionBody)(nil),           // 4: proto.ContractCallTransactionBody
	(*ContractCreateTransactionBody)(nil),         // 5: proto.ContractCreateTransactionBody
	(*ContractUpdateTransactionBody)(nil),         // 6: proto.ContractUpdateTransactionBody
	(*ContractDeleteTransactionBody)(nil),         // 7: proto.ContractDeleteTransactionBody
	(*CryptoAddLiveHashTransactionBody)(nil),      // 8: proto.CryptoAddLiveHashTransactionBody
	(*CryptoCreateTransactionBody)(nil),           // 9: proto.CryptoCreateTransactionBody
	(*CryptoDeleteTransactionBody)(nil),           // 10: proto.CryptoDeleteTransactionBody
	(*CryptoDeleteLiveHashTransactionBody)(nil),   // 11: proto.CryptoDeleteLiveHashTransactionBody
	(*CryptoTransferTransactionBody)(nil),         // 12: proto.CryptoTransferTransactionBody
	(*CryptoUpdateTransactionBody)(nil),           // 13: proto.CryptoUpdateTransactionBody
	(*FileAppendTransactionBody)(nil),             // 14: proto.FileAppendTransactionBody
	(*FileCreateTransactionBody)(nil),             // 15: proto.FileCreateTransactionBody
	(*FileDeleteTransactionBody)(nil),             // 16: proto.FileDeleteTransactionBody
	(*FileUpdateTransactionBody)(nil),             // 17: proto.FileUpdateTransactionBody
	(*SystemDeleteTransactionBody)(nil),           // 18: proto.SystemDeleteTransactionBody
	(*SystemUndeleteTransactionBody)(nil),         // 19: proto.SystemUndeleteTransactionBody
	(*FreezeTransactionBody)(nil),                 // 20: proto.FreezeTransactionBody
	(*ConsensusCreateTopicTransactionBody)(nil),   // 21: proto.ConsensusCreateTopicTransactionBody
	(*ConsensusUpdateTopicTransactionBody)(nil),   // 22: proto.ConsensusUpdateTopicTransactionBody
	(*ConsensusDeleteTopicTransactionBody)(nil),   // 23: proto.ConsensusDeleteTopicTransactionBody
	(*ConsensusSubmitMessageTransactionBody)(nil), // 24: proto.ConsensusSubmitMessageTransactionBody
	(*UncheckedSubmitBody)(nil),                   // 25: proto.UncheckedSubmitBody
	(*TokenCreateTransactionBody)(nil),            // 26: proto.TokenCreateTransactionBody
	(*TokenFreezeAccountTransactionBody)(nil),     // 27: proto.TokenFreezeAccountTransactionBody
	(*TokenUnfreezeAccountTransactionBody)(nil),   // 28: proto.TokenUnfreezeAccountTransactionBody
	(*TokenGrantKycTransactionBody)(nil),          // 29: proto.TokenGrantKycTransactionBody
	(*TokenRevokeKycTransactionBody)(nil),         // 30: proto.TokenRevokeKycTransactionBody
	(*TokenDeleteTransactionBody)(nil),            // 31: proto.TokenDeleteTransactionBody
	(*TokenUpdateTransactionBody)(nil),            // 32: proto.TokenUpdateTransactionBody
	(*TokenMintTransactionBody)(nil),              // 33: proto.TokenMintTransactionBody
	(*TokenBurnTransactionBody)(nil),              // 34: proto.TokenBurnTransactionBody
	(*TokenWipeAccountTransactionBody)(nil),       // 35: proto.TokenWipeAccountTransactionBody
	(*TokenAssociateTransactionBody)(nil),         // 36: proto.TokenAssociateTransactionBody
	(*TokenDissociateTransactionBody)(nil),        // 37: proto.TokenDissociateTransactionBody
	(*TokenFeeScheduleUpdateTransactionBody)(nil), // 38: proto.TokenFeeScheduleUpdateTransactionBody
	(*ScheduleCreateTransactionBody)(nil),         // 39: proto.ScheduleCreateTransactionBody
	(*ScheduleDeleteTransactionBody)(nil),         // 40: proto.ScheduleDeleteTransactionBody
	(*ScheduleSignTransactionBody)(nil),           // 41: proto.ScheduleSignTransactionBody
}
var file_proto_transaction_body_proto_depIdxs = []int32{
	1,  // 0: proto.TransactionBody.transactionID:type_name -> proto.TransactionID
	2,  // 1: proto.TransactionBody.nodeAccountID:type_name -> proto.AccountID
	3,  // 2: proto.TransactionBody.transactionValidDuration:type_name -> proto.Duration
	4,  // 3: proto.TransactionBody.contractCall:type_name -> proto.ContractCallTransactionBody
	5,  // 4: proto.TransactionBody.contractCreateInstance:type_name -> proto.ContractCreateTransactionBody
	6,  // 5: proto.TransactionBody.contractUpdateInstance:type_name -> proto.ContractUpdateTransactionBody
	7,  // 6: proto.TransactionBody.contractDeleteInstance:type_name -> proto.ContractDeleteTransactionBody
	8,  // 7: proto.TransactionBody.cryptoAddLiveHash:type_name -> proto.CryptoAddLiveHashTransactionBody
	9,  // 8: proto.TransactionBody.cryptoCreateAccount:type_name -> proto.CryptoCreateTransactionBody
	10, // 9: proto.TransactionBody.cryptoDelete:type_name -> proto.CryptoDeleteTransactionBody
	11, // 10: proto.TransactionBody.cryptoDeleteLiveHash:type_name -> proto.CryptoDeleteLiveHashTransactionBody
	12, // 11: proto.TransactionBody.cryptoTransfer:type_name -> proto.CryptoTransferTransactionBody
	13, // 12: proto.TransactionBody.cryptoUpdateAccount:type_name -> proto.CryptoUpdateTransactionBody
	14, // 13: proto.TransactionBody.fileAppend:type_name -> proto.FileAppendTransactionBody
	15, // 14: proto.TransactionBody.fileCreate:type_name -> proto.FileCreateTransactionBody
	16, // 15: proto.TransactionBody.fileDelete:type_name -> proto.FileDeleteTransactionBody
	17, // 16: proto.TransactionBody.fileUpdate:type_name -> proto.FileUpdateTransactionBody
	18, // 17: proto.TransactionBody.systemDelete:type_name -> proto.SystemDeleteTransactionBody
	19, // 18: proto.TransactionBody.systemUndelete:type_name -> proto.SystemUndeleteTransactionBody
	20, // 19: proto.TransactionBody.freeze:type_name -> proto.FreezeTransactionBody
	21, // 20: proto.TransactionBody.consensusCreateTopic:type_name -> proto.ConsensusCreateTopicTransactionBody
	22, // 21: proto.TransactionBody.consensusUpdateTopic:type_name -> proto.ConsensusUpdateTopicTransactionBody
	23, // 22: proto.TransactionBody.consensusDeleteTopic:type_name -> proto.ConsensusDeleteTopicTransactionBody
	24, // 23: proto.TransactionBody.consensusSubmitMessage:type_name -> proto.ConsensusSubmitMessageTransactionBody
	25, // 24: proto.TransactionBody.uncheckedSubmit:type_name -> proto.UncheckedSubmitBody
	26, // 25: proto.TransactionBody.tokenCreation:type_name -> proto.TokenCreateTransactionBody
	27, // 26: proto.TransactionBody.tokenFreeze:type_name -> proto.TokenFreezeAccountTransactionBody
	28, // 27: proto.TransactionBody.tokenUnfreeze:type_name -> proto.TokenUnfreezeAccountTransactionBody
	29, // 28: proto.TransactionBody.tokenGrantKyc:type_name -> proto.TokenGrantKycTransactionBody
	30, // 29: proto.TransactionBody.tokenRevokeKyc:type_name -> proto.TokenRevokeKycTransactionBody
	31, // 30: proto.TransactionBody.tokenDeletion:type_name -> proto.TokenDeleteTransactionBody
	32, // 31: proto.TransactionBody.tokenUpdate:type_name -> proto.TokenUpdateTransactionBody
	33, // 32: proto.TransactionBody.tokenMint:type_name -> proto.TokenMintTransactionBody
	34, // 33: proto.TransactionBody.tokenBurn:type_name -> proto.TokenBurnTransactionBody
	35, // 34: proto.TransactionBody.tokenWipe:type_name -> proto.TokenWipeAccountTransactionBody
	36, // 35: proto.TransactionBody.tokenAssociate:type_name -> proto.TokenAssociateTransactionBody
	37, // 36: proto.TransactionBody.tokenDissociate:type_name -> proto.TokenDissociateTransactionBody
	38, // 37: proto.TransactionBody.token_fee_schedule_update:type_name -> proto.TokenFeeScheduleUpdateTransactionBody
	39, // 38: proto.TransactionBody.scheduleCreate:type_name -> proto.ScheduleCreateTransactionBody
	40, // 39: proto.TransactionBody.scheduleDelete:type_name -> proto.ScheduleDeleteTransactionBody
	41, // 40: proto.TransactionBody.scheduleSign:type_name -> proto.ScheduleSignTransactionBody
	41, // [41:41] is the sub-list for method output_type
	41, // [41:41] is the sub-list for method input_type
	41, // [41:41] is the sub-list for extension type_name
	41, // [41:41] is the sub-list for extension extendee
	0,  // [0:41] is the sub-list for field type_name
}

func init() { file_proto_transaction_body_proto_init() }
func file_proto_transaction_body_proto_init() {
	if File_proto_transaction_body_proto != nil {
		return
	}
	file_proto_system_delete_proto_init()
	file_proto_system_undelete_proto_init()
	file_proto_freeze_proto_init()
	file_proto_contract_call_proto_init()
	file_proto_contract_create_proto_init()
	file_proto_contract_update_proto_init()
	file_proto_crypto_add_live_hash_proto_init()
	file_proto_crypto_create_proto_init()
	file_proto_crypto_delete_proto_init()
	file_proto_crypto_delete_live_hash_proto_init()
	file_proto_crypto_transfer_proto_init()
	file_proto_crypto_update_proto_init()
	file_proto_file_append_proto_init()
	file_proto_file_create_proto_init()
	file_proto_file_delete_proto_init()
	file_proto_file_update_proto_init()
	file_proto_duration_proto_init()
	file_proto_basic_types_proto_init()
	file_proto_contract_delete_proto_init()
	file_proto_consensus_create_topic_proto_init()
	file_proto_consensus_update_topic_proto_init()
	file_proto_consensus_delete_topic_proto_init()
	file_proto_consensus_submit_message_proto_init()
	file_proto_unchecked_submit_proto_init()
	file_proto_token_create_proto_init()
	file_proto_token_freeze_account_proto_init()
	file_proto_token_unfreeze_account_proto_init()
	file_proto_token_grant_kyc_proto_init()
	file_proto_token_revoke_kyc_proto_init()
	file_proto_token_delete_proto_init()
	file_proto_token_update_proto_init()
	file_proto_token_mint_proto_init()
	file_proto_token_burn_proto_init()
	file_proto_token_wipe_account_proto_init()
	file_proto_token_associate_proto_init()
	file_proto_token_dissociate_proto_init()
	file_proto_token_fee_schedule_update_proto_init()
	file_proto_schedule_create_proto_init()
	file_proto_schedule_delete_proto_init()
	file_proto_schedule_sign_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_proto_transaction_body_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TransactionBody); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_proto_transaction_body_proto_msgTypes[0].OneofWrappers = []interface{}{
		(*TransactionBody_ContractCall)(nil),
		(*TransactionBody_ContractCreateInstance)(nil),
		(*TransactionBody_ContractUpdateInstance)(nil),
		(*TransactionBody_ContractDeleteInstance)(nil),
		(*TransactionBody_CryptoAddLiveHash)(nil),
		(*TransactionBody_CryptoCreateAccount)(nil),
		(*TransactionBody_CryptoDelete)(nil),
		(*TransactionBody_CryptoDeleteLiveHash)(nil),
		(*TransactionBody_CryptoTransfer)(nil),
		(*TransactionBody_CryptoUpdateAccount)(nil),
		(*TransactionBody_FileAppend)(nil),
		(*TransactionBody_FileCreate)(nil),
		(*TransactionBody_FileDelete)(nil),
		(*TransactionBody_FileUpdate)(nil),
		(*TransactionBody_SystemDelete)(nil),
		(*TransactionBody_SystemUndelete)(nil),
		(*TransactionBody_Freeze)(nil),
		(*TransactionBody_ConsensusCreateTopic)(nil),
		(*TransactionBody_ConsensusUpdateTopic)(nil),
		(*TransactionBody_ConsensusDeleteTopic)(nil),
		(*TransactionBody_ConsensusSubmitMessage)(nil),
		(*TransactionBody_UncheckedSubmit)(nil),
		(*TransactionBody_TokenCreation)(nil),
		(*TransactionBody_TokenFreeze)(nil),
		(*TransactionBody_TokenUnfreeze)(nil),
		(*TransactionBody_TokenGrantKyc)(nil),
		(*TransactionBody_TokenRevokeKyc)(nil),
		(*TransactionBody_TokenDeletion)(nil),
		(*TransactionBody_TokenUpdate)(nil),
		(*TransactionBody_TokenMint)(nil),
		(*TransactionBody_TokenBurn)(nil),
		(*TransactionBody_TokenWipe)(nil),
		(*TransactionBody_TokenAssociate)(nil),
		(*TransactionBody_TokenDissociate)(nil),
		(*TransactionBody_TokenFeeScheduleUpdate)(nil),
		(*TransactionBody_ScheduleCreate)(nil),
		(*TransactionBody_ScheduleDelete)(nil),
		(*TransactionBody_ScheduleSign)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_transaction_body_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_proto_transaction_body_proto_goTypes,
		DependencyIndexes: file_proto_transaction_body_proto_depIdxs,
		MessageInfos:      file_proto_transaction_body_proto_msgTypes,
	}.Build()
	File_proto_transaction_body_proto = out.File
	file_proto_transaction_body_proto_rawDesc = nil
	file_proto_transaction_body_proto_goTypes = nil
	file_proto_transaction_body_proto_depIdxs = nil
}
